# Proxify Url

If you want to proxify the following url : [https://my.ressource.io/](https://snapui.searchspring.io/)\
you have to transform the url like this :&#x20;

**proxy.weglot.com/API\_KEY/LANGUAGE\_FROM/LANGAUAGE\_TO/my.ressource.io**\
\
to do that you can use this filter

```php
// Add this using plugin "Code Snippet" or directly in functions.php
function proxify_callback( $url_to_proxify ) {
    $url_to_proxify = [];
    $url_to_proxify[] = 'https://my.ressource.io/';
    return $url_to_proxify;
}
add_filter( 'weglot_proxify_urls', 'proxify_callback' );
```

NB : you can pass many url into the array


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.weglot.com/wordpress/use-cases/proxify-url.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
